<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet [
  <!ENTITY nbsp "&#160;">
  <!ENTITY rdf "http://www.w3.org/1999/02/22-rdf-syntax-ns#">
  <!ENTITY rdfs "http://www.w3.org/2000/01/rdf-schema#">
  <!ENTITY f "http://xmlns.4suite.org/ext">
  <!ENTITY fres "http://xmlns.4suite.org/reserved">
  <!ENTITY dc "http://purl.org/dc/elements/1.1/">
  <!ENTITY fschema "http://schemas.4suite.org/4ss">
]>
<xsl:stylesheet 
  version="1.0" 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:fcore="http://xmlns.4suite.org/4ss/score" 
  xmlns:frdf="http://xmlns.4suite.org/4ss/rdf" 
  xmlns:fhttp="http://xmlns.4suite.org/4ss/http" 
  xmlns:exslt="http://exslt.org/common" 
  xmlns:exslt-set="http://exslt.org/sets" 
  xmlns:exslt-math="http://exslt.org/math" 
  xmlns:exslt-functions="http://exslt.org/functions" 
  xmlns:exslt-date-time="http://exslt.org/dates-and-times" 
  xmlns:dc="&dc;" 
  xmlns:fres="&fres;" 
  xmlns:rdf="&rdf;" 
  xmlns:f="&f;" 
  xmlns:fschema="http://schemas.4suite.org/4ss" 
  extension-element-prefixes="f frdf fhttp fcore exslt exslt-set exslt-math exslt-functions exslt-date-time">
  <xsl:output method="html"/>
  <xsl:param name="help-reference"/>
  <xsl:template match="/">
    <xsl:variable name="help-fullname">/ftss/dashboard/<xsl:value-of select="$help-reference"/>
    </xsl:variable>
    <xsl:variable name="helpText" select="frdf:complete($help-reference,'&dc;description',frdf:any())/Object"/>
    <xsl:variable name="Title" select="frdf:complete($help-reference,'&dc;title',frdf:any())/Object"/>
    <html>
      <em>Help text for <xsl:value-of select="$Title"/>
      </em>
      <body>
        <p>
          <xsl:value-of select="$helpText"/>
        </p>
        <hr/>
        <a href="javascript:window.close(this);">Close</a> window</body>
    </html>
  </xsl:template>
</xsl:stylesheet>
